## dotnet10 10.0.100-10.0.0~rc1

=== debian/changelog ===
dotnet10 (10.0.100-10.0.0~rc1-0ubuntu1) questing; urgency=medium

  * Upload to the primary archive.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 08 Oct 2025 17:30:00 +0000

dotnet10 (10.0.100-10.0.0~rc1-0ubuntu1~ppa2) questing; urgency=medium

  * debian/copyright: add copyright information
  * source/lintian-overrides: update lintian-overrides for source package
  * eng/test-runner: sync changes with upstream
  * tests/control, tests/regular-tests: sync changes with upstream

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 08 Oct 2025 04:31:48 +0300

dotnet10 (10.0.100-10.0.0~rc1-0ubuntu1~ppa1) questing; urgency=medium

  * New upstream release
  * d/control, d/rules: remove package netstandard-targeting-pack-2.1-10.0:
    Upstream removed this package, see: https://github.com/dotnet/sdk/pull/50354.
    
    IMPORTANT: If you had previous preview version of the `dotnet10` package
    installed and have installed one of the following packages: `dotnet9`,
    `dotnet8`, `dotnet7` or `dotnet6`, we recommend to reinstall these packages.
    Otherwise the .NET standard 2.1 targeting pack package will not receive any
    updates.
  
  * d/p/0002-roslyn-analyzers-dont-use-apphost.patch: roslyn-analyzers don't get
    built anymore, see: https://github.com/dotnet/dotnet/pull/1979
  * d/rules: add `--branding default` to DOTNET_BUILD_ARGS, see also:
    https://github.com/dotnet/source-build/issues/5337
  * d/rules: remove uninstalled netstandard-targeting-pack-2.1-10.0 files

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 10 Sep 2025 11:26:09 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~ppa3) questing; urgency=medium

  * d/dotnet-sdk-aot-10.0.install: update installation layout
    (see also: https://github.com/dotnet/docs/pull/46910)
  * d/dotnet-host-10.0.install, d/dotnet-host-10.0.links: add dnx tool
    (see also: https://github.com/dotnet/docs/pull/47094)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 14 Aug 2025 00:41:10 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~ppa2) questing; urgency=medium

  * d/dotnet-sdk-10.0.install: remove sdk-manifest for microsoft.net.sdk.aspire
    (see: https://github.com/dotnet/source-build/issues/4735)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 13 Aug 2025 21:42:00 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~ppa1) questing; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 13 Aug 2025 18:04:04 +0300

dotnet10 (10.0.100-10.0.0~preview6-0ubuntu1~ppa1) questing; urgency=medium

  * New upstream release.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 21 Jul 2025 15:04:08 -0300

dotnet10 (10.0.100-10.0.0~preview5-0ubuntu1~ppa1) questing; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Sat, 14 Jun 2025 12:51:42 +0300

dotnet10 (10.0.100-10.0.0~preview4-0ubuntu1~ppa1) questing; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 29 May 2025 12:45:19 +0300

dotnet10 (10.0.100-10.0.0~preview3-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 11 Apr 2025 15:29:13 +0300

dotnet10 (10.0.100-10.0.0~preview2-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * Initial packaging.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 09 Apr 2025 17:27:07 +0300

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /usr/bin/bash

# .NET will create by default the directories ~/.dotnet and ~/.nuget, but
# sbuild will fail the build if anything is written to the default home directory.
# See https://github.com/dotnet/source-build/issues/2767
export HOME=$(shell mktemp --directory)

export DOTNET_BIN = /usr/bin/dotnet
export DOTNET_ROOT_DIR = /usr/lib/dotnet
export DOTNET_SYSCONF_DIR = /etc/dotnet
DEST_DIR = $(CURDIR)/debian/tmp

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include $(CURDIR)/debian/eng/dotnet-pkg-info.mk

export LIBICU_PACKAGENAME=$(shell apt-cache depends libicu-dev | grep --only-matching --extended-regexp 'libicu[0-9]+')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

ifeq ($(DOTNET_80_OR_GREATER), false)
    export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
endif

ifeq ($(DEB_HOST_ARCH), arm64)
# 	-fstack-clash-protection is not implemented in arm64 clang,
# 	therefore stripping this flag away to avoid the error:
# 	clang: error: argument unused during compilation.
# 	See https://github.com/llvm/llvm-project/issues/40148
    export DEB_CFLAGS_MAINT_STRIP += -fstack-clash-protection
    export DEB_CXXFLAGS_MAINT_STRIP += -fstack-clash-protection

    UBUNTU_2310_OR_GREATER = $(shell . /etc/os-release && dpkg --compare-versions $${VERSION_ID} ge 23.10 && echo true || echo false)
ifeq ($(UBUNTU_2310_OR_GREATER), true)
#   On ARM64 Ubuntu 23.10 and higher the build will fail with the message
#   "Cannot find mkstemps nor mkstemp on this platform.", related to libunwind
#   and the branch-protection `pac-ret`. By default branch-protection `standard`
#   is set which is equivalent to `bti+pac-ret`.
#   By stripping branch-protection `standard` and appending branch-protection
#   `bti`, effectively only branch protection `pac-ret` gets stripped.
#   See also: https://github.com/canonical/dotnet-source-build/issues/7
    export DEB_CFLAGS_MAINT_STRIP += -mbranch-protection=standard
    export DEB_CXXFLAGS_MAINT_STRIP += -mbranch-protection=standard

    export DEB_CFLAGS_MAINT_APPEND += -mbranch-protection=bti
    export DEB_CXXFLAGS_MAINT_APPEND += -mbranch-protection=bti
endif
endif

ifeq ($(DOTNET_CONTAINS_BOOTSTRAPPING_SDK), true)
    DOTNET_BUILD_ARGS += --clean-while-building
    ifneq ($(filter $(DEB_HOST_ARCH),s390x ppc64el),)
        DOTNET_BUILD_ARGS += --with-sdk $(CURDIR)/dotnet
    endif
else
    DOTNET_PREVIOUS_BUILT_DIR = $(CURDIR)/previously-built-dotnet
    DOTNET_BUILD_ARGS += --with-sdk "$(DOTNET_PREVIOUS_BUILT_DIR)"

    ifeq ($(DOTNET_80_OR_GREATER), true)
        DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR = $(CURDIR)/prereqs/packages/archive
    else
        DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR = $(CURDIR)/packages/archive
    endif
endif

ifeq ($(DOTNET_80_OR_GREATER), true)
    ifeq ($(wildcard $(CURDIR)/release.json),)
        $(error "No release.json file in the source tarball found")
    endif

    DOTNET_BUILD_ARGS += --release-manifest "$(CURDIR)/release.json"
endif

ifeq ($(DOTNET_90_OR_GREATER), true)
    DOTNET_BUILD_ARGS += --source-only
    DOTNET_RELEASE_ARTIFACTS_DIR = $(CURDIR)/artifacts/assets/Release

    ifeq ($(DOTNET_USE_SYSTEM_BROTLI), true)
        SYSTEM_LIBRARIES += +brotli
    endif
    ifeq ($(DOTNET_USE_SYSTEM_LIBUNWIND), true)
        SYSTEM_LIBRARIES += +libunwind
    endif
    ifeq ($(DOTNET_USE_SYSTEM_RAPIDJSON), true)
        SYSTEM_LIBRARIES += +rapidjson
    endif
    ifeq ($(DOTNET_USE_SYSTEM_ZLIB), true)
        SYSTEM_LIBRARIES += +zlib
    endif

#	The += operator adds text preceded by a space. Since the system libs list should
#	contain no space, we replace every space in the string with an empty character.
    space := $(shell printf " ")
    DOTNET_BUILD_ARGS += --with-system-libs $(subst $(space),,$(SYSTEM_LIBRARIES))

    ifeq ($(DOTNET_USE_MONO_RUNTIME), true)
        DOTNET_BUILD_ARGS += --use-mono-runtime
    endif
else
    DOTNET_RELEASE_ARTIFACTS_DIR = $(CURDIR)/artifacts/$(DOTNET_ARCH)/Release
endif

# Fixup for a bug in the build script. Should be fixed with .NET 10 RC 2.
# See also: https://github.com/dotnet/source-build/issues/5337
ifeq ($(DOTNET_100_OR_GREATER), true)
    DOTNET_BUILD_ARGS += --branding default
endif

%:
	dh $@ --with bash-completion

override_dh_auto_clean:
	dh_auto_clean

#   clean test runner artifacts
	rm -rf $(CURDIR)/debian/eng/test-runner/Turkey/bin
	rm -rf $(CURDIR)/debian/eng/test-runner/Turkey/obj
	rm -rf $(CURDIR)/debian/eng/test-runner/Turkey.Tests/bin
	rm -rf $(CURDIR)/debian/eng/test-runner/Turkey.Tests/obj
	rm -rf $(CURDIR)/debian/eng/test-runner/bin
	rm -rf $(CURDIR)/debian/eng/test-runner/turkey
	rm -f $(CURDIR)/debian/eng/test-runner/turkey.tar.gz
	find $(CURDIR)/debian/eng/test-runner -iname '*.log' -delete

#   clean python lib artifacts
	rm -rf $(CURDIR)/debian/eng/strenum/__pycache__
	rm -rf $(CURDIR)/debian/eng/versionlib/__pycache__

override_dh_auto_build:
	printenv | sort
	vmstat --stats --unit MiB

#	If a library is being pulled in from the system, remove the bundled source for it
ifeq ($(DOTNET_USE_SYSTEM_BROTLI), true)
	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/brotli
endif
ifeq ($(DOTNET_USE_SYSTEM_LIBUNWIND), true)
	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/libunwind
endif
ifeq ($(DOTNET_USE_SYSTEM_RAPIDJSON), true)
	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/rapidjson
endif
ifeq ($(DOTNET_USE_SYSTEM_ZLIB), true)
	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/zlib
	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/zlib-intel
	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/zlib-ng
endif

ifeq ($(DOTNET_CONTAINS_BOOTSTRAPPING_SDK), false)
	mkdir --parents "$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)"
	
	DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL=($$(find "$(DOTNET_ROOT_DIR)/source-built-artifacts" -maxdepth 1 -name 'Private.SourceBuilt.Artifacts.$(DOTNET_MAJOR).$(DOTNET_MINOR).*.tar.gz')); \
	if [ "$${#DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}" -ne 1 ]; then \
		echo "None or more than one source built artifacts tarballs have been found: $${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}"; \
		exit 1; \
	fi; \
	echo "source built artifacts tarball: $${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL}"; \
	ln --symbolic \
		"$${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL}" \
		"$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)/"
	
	cp --recursive --dereference --preserve=mode,ownership,timestamps \
	    "$(DOTNET_ROOT_DIR)" \
	    "$(DOTNET_PREVIOUS_BUILT_DIR)"
endif
	VERBOSE=1 ./build.sh $(DOTNET_BUILD_ARGS) \
	-- \
	/v:n \
	/p:SkipPortableRuntimeBuild=true \
	/p:LogVerbosity=n \
	/p:MinimalConsoleLogOutput=false \
	/p:ContinueOnPrebuiltBaselineError=true
	
	tree

override_dh_auto_test:
	python3 ./debian/tests/build-time-tests/tests.py --verbose --purge-after

override_dh_install:
	install --mode=0755 --directory "$(DEST_DIR)$(DOTNET_ROOT_DIR)"
	install --mode=0755 --directory "$(DEST_DIR)$(DOTNET_SYSCONF_DIR)"
	ls -l "$(DOTNET_RELEASE_ARTIFACTS_DIR)"
	tar --extract \
	    --file "$$("$(CURDIR)"/debian/eng/source_build_artifact_path.py \
		           --type sdk \
				   --base-path "$(DOTNET_RELEASE_ARTIFACTS_DIR)")" \
	    --directory "$(DEST_DIR)$(DOTNET_ROOT_DIR)"
	
ifeq ($(DOTNET_80_OR_GREATER), true)
# 	Clean up unwanted PDB files in sdk tar.gz
	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name '*.pdb' -exec rm {} \;
	
# 	Extract debug symbols to their own directory for easy handling
	mkdir --parents "$(CURDIR)/artifacts/debug-symbols"
	tar --extract \
	    --file "$(DOTNET_RELEASE_ARTIFACTS_DIR)"/dotnet-symbols-sdk-*-$(DOTNET_RUNTIME_ID).tar.gz \
	    --directory "$(CURDIR)/artifacts/debug-symbols"
	ls "$(CURDIR)/artifacts/debug-symbols"
endif
	
#   See https://github.com/dotnet/source-build/issues/2579
	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name 'testhost.x86' -delete
	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name 'vstest.console' -delete

## dotnet10 10.0.100-10.0.0~rc2

=== debian/changelog ===
dotnet10 (10.0.100-10.0.0~rc2-0ubuntu1~25.10.2) questing-security; urgency=medium

  [ Dominik Viererbe ]
  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2025-55247: A vulnerability exists in .NET Core where predictable
      paths for MSBuild's temporary directories on Linux let another user
      create the directories ahead of MSBuild, leading to DoS of builds.
  * SECURITY UPDATE: validation bypass
    - CVE-2025-55315: Inconsistent interpretation of http requests
      ('http request/response smuggling') in ASP.NET Core allows an authorized
      attacker to bypass a security feature over a network.

 -- Ian Constantin <ian.constantin@canonical.com>  Tue, 14 Oct 2025 22:24:22 +0300

=== debian/control ===
Source: dotnet10
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               clang,
               cmake,
               debhelper-compat (= 13),
               dh-exec,
               dotnet-sdk-10.0,
               dotnet-sdk-10.0-source-built-artifacts,
               git,
               libicu-dev,
               libkrb5-dev,
               liblttng-ust-dev,
               libbrotli-dev,
               libssl-dev,
               libunwind-dev,
               lld,
               llvm,
               locales-all,
               python3,
               rapidjson-dev,
               tree,
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: https://dot.net

Package: dotnet10
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-sdk-10.0, ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet6 (<< 6.0.111~)
Description: .NET CLI tools and runtime
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.
 .
 The .NET platform contains a runtime conforming to .NET Standards, a set of
 framework libraries, an SDK containing compilers, and a 'dotnet'
 CLI application to drive everything.

Package: dotnet-host-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: dotnet-host, dotnet-host-7.0, dotnet-host-8.0, dotnet-host-9.0
Replaces: dotnet-host, dotnet-host-7.0, dotnet-host-8.0, dotnet-host-9.0
Provides: dotnet-host, dotnet-host-7.0, dotnet-host-8.0, dotnet-host-9.0
Description: .NET host command line
 The .NET host is a command line program that runs a standalone .NET
 application or launches the SDK.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-hostfxr-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-host-10.0, ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-hostfxr-6.0 (<< 6.0.111~)
Description: .NET host resolver
 The .NET host resolver contains the logic to resolve and select
 the right version of the .NET SDK or runtime to use.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-runtime-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-hostfxr-10.0,
         ${libicu:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: dotnet-runtime-dbg-10.0
Breaks: dotnet-runtime-6.0 (<< 6.0.111~)
Description: .NET runtime
 The .NET runtime contains everything needed to run .NET applications.
 It includes a high performance Virtual Machine as well as the framework
 libraries used by .NET applications.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: aspnetcore-runtime-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-runtime-10.0, ${misc:Depends}, ${shlibs:Depends}
Suggests: aspnetcore-runtime-dbg-10.0
Breaks: aspnetcore-runtime-6.0 (<< 6.0.111~)
Description: ASP.NET Core runtime
 The ASP.NET Core runtime contains everything needed to run .NET
 web applications. It includes a high performance Virtual Machine as
 well as the framework libraries used by .NET applications.
 .
 ASP.NET Core is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-templates-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-host-10.0, ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-templates-6.0 (<< 6.0.111~)
Description: .NET 10.0 templates
 This package contains templates used by the .NET SDK.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-sdk-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: aspnetcore-runtime-10.0,
         aspnetcore-targeting-pack-10.0,
         dotnet-apphost-pack-10.0,
         dotnet-runtime-10.0,
         dotnet-targeting-pack-10.0,
         dotnet-templates-10.0,
         ca-certificates,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dotnet-sdk-aot-10.0 [amd64 arm64]
Suggests: dotnet-sdk-dbg-10.0
Breaks: dotnet-sdk-6.0 (<< 6.0.111~)
Description: .NET 10.0 Software Development Kit
 The .NET SDK is a collection of command line applications to
 create, build, publish, and run .NET applications.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-sdk-10.0-source-built-artifacts
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal package for building the .NET 10.0 Software Development Kit
 The .NET source-built archive is a collection of packages needed
 to build the .NET SDK itself.
 .
 These are not meant for general use.

Package: dotnet-sdk-aot-10.0
Architecture: amd64 arm64
Depends: dotnet-sdk-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: .NET platform NativeAOT components.
 This package provides the SDK components for platform NativeAOT.

Package: dotnet-targeting-pack-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-targeting-pack-6.0 (<< 6.0.111~)
Description: Internal - targeting pack for Microsoft.NETCore.App 10.0
 This package provides a targeting pack for Microsoft.NETCore.App 10.0
 that allows developers to compile against and target Microsoft.NETCore.App 10.0
 applications using the .NET SDK. This are not meant for general use.

Package: aspnetcore-targeting-pack-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: aspnetcore-targeting-pack-6.0 (<< 6.0.111~)
Description: Internal - targeting pack for Microsoft.AspNetCore.App 10.0
 This package provides a targeting pack for Microsoft.AspNetCore.App 10.0
 that allows developers to compile against and target
 Microsoft.AspNetCore.App 10.0 applications using the .NET SDK.
 This are not meant for general use.

Package: dotnet-apphost-pack-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-apphost-pack-6.0 (<< 6.0.111~)
Description: Internal - targeting pack for Microsoft.NETCore.App 10.0
 This package provides a targeting pack for Microsoft.NETCore.App 10.0
 that allows developers to compile against and target Microsoft.NETCore.App 10.0
 applications using the .NET SDK. This not meant for general use.

Package: aspnetcore-runtime-dbg-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: aspnetcore-runtime-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: ASP.NET Runtime debug symbols.
 This package provides the PDB debug symbols for Microsoft.AspNetCore.App 10.0.

Package: dotnet-runtime-dbg-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-runtime-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: .NET Runtime debug symbols.
 This package provides the PDB debug symbols for Microsoft.NETCore.App 10.0.

Package: dotnet-sdk-dbg-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-sdk-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: .NET SDK debug symbols.
 This package provides the PDB debug symbols for the .NET 10.0 SDK.

## dotnet10 10.0.100-10.0.0

=== debian/changelog ===
dotnet10 (10.0.100-10.0.0-0ubuntu1~25.04.1) plucky; urgency=medium

  * New upstream release (LP: #2130891)
  * d/{sdk-check-config.json,rules}: `dotnet sdk check` tool points to
    Canonical's release database.
  * d/rules: add `--branding rtm` to DOTNET_BUILD_ARGS.
  * d/p/0007-fix-tempdir-on-exit-trap.patch: fix unbound variable error.
  * d/dotnet-host-10.0.links: fixed dnx link name to /usr/bin/dnx (DNX_BIN).
  * d/t/regular-tests: synced with upstream to fix failing tests and add new
    ones for .NET 10.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 07 Nov 2025 16:11:31 +0100

dotnet10 (10.0.100-10.0.0~rc2-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2025-55247: A vulnerability exists in .NET Core where predictable
      paths for MSBuild's temporary directories on Linux let another user
      create the directories ahead of MSBuild, leading to DoS of builds.
  * SECURITY UPDATE: validation bypass
    - CVE-2025-55315: Inconsistent interpretation of http requests
      ('http request/response smuggling') in ASP.NET Core allows an authorized
      attacker to bypass a security feature over a network.
  * SECURITY UPDATE: information disclosure
    - CVE-2025-55248: MITM (man in the middle) attacker may prevent use of TLS
      between client and SMTP server, forcing client to send data over
      unencrypted connection.
  * debian/copyright: add copyright information
  * source/lintian-overrides: update lintian-overrides for source package
  * eng/test-runner: sync changes with upstream
  * tests/control, tests/regular-tests: sync changes with upstream
  * debian/rules: remove temporary .NET 10 RC 1 fixups

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 08 Oct 2025 13:50:38 +0300

dotnet10 (10.0.100-10.0.0~rc1-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release
  * d/control, d/rules: remove package netstandard-targeting-pack-2.1-10.0:
    Upstream removed this package, see: https://github.com/dotnet/sdk/pull/50354.

    IMPORTANT: If you had previous preview version of the `dotnet10` package
    installed and have installed one of the following packages: `dotnet9`,
    `dotnet8`, `dotnet7` or `dotnet6`, we recommend to reinstall these packages.
    Otherwise the .NET standard 2.1 targeting pack package will not receive any
    updates.

  * d/p/0002-roslyn-analyzers-dont-use-apphost.patch: roslyn-analyzers don't get
    built anymore, see: https://github.com/dotnet/dotnet/pull/1979
  * d/rules: add `--branding default` to DOTNET_BUILD_ARGS, see also:
    https://github.com/dotnet/source-build/issues/5337
  * d/rules: remove uninstalled netstandard-targeting-pack-2.1-10.0 files

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 10 Sep 2025 11:26:09 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~25.04.1~ppa3) plucky; urgency=medium

  * d/dotnet-sdk-aot-10.0.install: update installation layout
    (see also: https://github.com/dotnet/docs/pull/46910)
  * d/dotnet-host-10.0.install, d/dotnet-host-10.0.links: add dnx tool
    (see also: https://github.com/dotnet/docs/pull/47094)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 14 Aug 2025 00:41:10 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~25.04.1~ppa2) plucky; urgency=medium

  * d/dotnet-sdk-10.0.install: remove sdk-manifest for microsoft.net.sdk.aspire
    (see: https://github.com/dotnet/source-build/issues/4735)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 13 Aug 2025 21:42:00 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 13 Aug 2025 18:04:04 +0300

dotnet10 (10.0.100-10.0.0~preview6-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 21 Jul 2025 15:04:08 -0300

dotnet10 (10.0.100-10.0.0~preview5-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Sat, 14 Jun 2025 12:51:42 +0300

dotnet10 (10.0.100-10.0.0~preview4-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 29 May 2025 12:45:19 +0300

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 # See https://github.com/dotnet/source-build/issues/2767
 export HOME=$(shell mktemp --directory)
 
+export DNX_BIN = /usr/bin/dnx
 export DOTNET_BIN = /usr/bin/dotnet
 export DOTNET_ROOT_DIR = /usr/lib/dotnet
 export DOTNET_SYSCONF_DIR = /etc/dotnet
@@ -77,6 +78,11 @@
     DOTNET_BUILD_ARGS += --source-only
     DOTNET_RELEASE_ARTIFACTS_DIR = $(CURDIR)/artifacts/assets/Release
 
+#	Temporary branding parameter for .NET 10.0 GA release
+    ifeq ($(DOTNET_100_OR_GREATER), true)
+        DOTNET_BUILD_ARGS += --branding rtm
+    endif
+
     ifeq ($(DOTNET_USE_SYSTEM_BROTLI), true)
         SYSTEM_LIBRARIES += +brotli
     endif
@@ -100,12 +106,6 @@
     endif
 else
     DOTNET_RELEASE_ARTIFACTS_DIR = $(CURDIR)/artifacts/$(DOTNET_ARCH)/Release
-endif
-
-# Fixup for a bug in the build script. Should be fixed with .NET 10 RC 2.
-# See also: https://github.com/dotnet/source-build/issues/5337
-ifeq ($(DOTNET_100_OR_GREATER), true)
-    DOTNET_BUILD_ARGS += --branding default
 endif
 
 %:
@@ -132,6 +132,10 @@
 	printenv | sort
 	vmstat --stats --unit MiB
 
+#	Replace {{RELEASE}} placeholder in sdk-check-config.json with actual release version
+	sed -i "s/{{RELEASE}}/$(RELEASE)/g" debian/sdk-check-config.json
+	cat debian/sdk-check-config.json
+
 #	If a library is being pulled in from the system, remove the bundled source for it
 ifeq ($(DOTNET_USE_SYSTEM_BROTLI), true)
 	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/brotli
@@ -150,7 +154,7 @@
 
 ifeq ($(DOTNET_CONTAINS_BOOTSTRAPPING_SDK), false)
 	mkdir --parents "$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)"
-	
+
 	DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL=($$(find "$(DOTNET_ROOT_DIR)/source-built-artifacts" -maxdepth 1 -name 'Private.SourceBuilt.Artifacts.$(DOTNET_MAJOR).$(DOTNET_MINOR).*.tar.gz')); \
 	if [ "$${#DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}" -ne 1 ]; then \
 		echo "None or more than one source built artifacts tarballs have been found: $${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}"; \
@@ -160,7 +164,7 @@
 	ln --symbolic \
 		"$${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL}" \
 		"$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)/"
-	
+
 	cp --recursive --dereference --preserve=mode,ownership,timestamps \
 	    "$(DOTNET_ROOT_DIR)" \
 	    "$(DOTNET_PREVIOUS_BUILT_DIR)"
@@ -172,7 +176,7 @@
 	/p:LogVerbosity=n \
 	/p:MinimalConsoleLogOutput=false \
 	/p:ContinueOnPrebuiltBaselineError=true
-	
+
 	tree
 
 override_dh_auto_test:
@@ -187,11 +191,11 @@
 		           --type sdk \
 				   --base-path "$(DOTNET_RELEASE_ARTIFACTS_DIR)")" \
 	    --directory "$(DEST_DIR)$(DOTNET_ROOT_DIR)"
-	
+
 ifeq ($(DOTNET_80_OR_GREATER), true)
 # 	Clean up unwanted PDB files in sdk tar.gz
 	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name '*.pdb' -exec rm {} \;
-	
+
 # 	Extract debug symbols to their own directory for easy handling
 	mkdir --parents "$(CURDIR)/artifacts/debug-symbols"
 	tar --extract \
@@ -199,8 +203,5 @@
 	    --directory "$(CURDIR)/artifacts/debug-symbols"
 	ls "$(CURDIR)/artifacts/debug-symbols"
 endif
-	
+
 #   See https://github.com/dotnet/source-build/issues/2579
-	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name 'testhost.x86' -delete
-	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name 'vstest.console' -delete
-

## dotnet10 10.0.101

=== runtime/src/mono/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)

project(mono)

include(../../eng/native/configurepaths.cmake)
include(${CLR_ENG_NATIVE_DIR}/functions.cmake)
include(${CLR_ENG_NATIVE_DIR}/configuretools.cmake)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

if (MSVC)
  # Also set by configurecompiler.cmake, which isn't used by mono yet
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/source-charset:utf-8>) # Force MSVC to compile source as UTF-8.

  if(EXISTS ${CLR_SOURCELINK_FILE_PATH})
    add_link_options("/sourcelink:${CLR_SOURCELINK_FILE_PATH}")
  endif()

  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/wd4100>) # W4: unreferenced formal parameter
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/wd4702>) # W4: unreachable code
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/wd4706>) # W4: assignment within conditional expression

  # FIXME we should investigate these mismatches at some point
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/wd4245>) # W4: signed/unsigned mismatch
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/wd4389>) # W4: signed/unsigned mismatch
endif(MSVC)

set(CROSS_ROOTFS $ENV{ROOTFS_DIR})
set(CMAKE_C_FLAGS_CHECKED "")
set(CMAKE_CXX_FLAGS_CHECKED "")
set(CMAKE_EXE_LINKER_FLAGS_CHECKED "")
set(CMAKE_SHARED_LINKER_FLAGS_CHECKED "")

if(NOT MONO_LIB_NAME)
  set(MONO_LIB_NAME "monosgen-2.0")
endif()

if(NOT MONO_SHARED_LIB_NAME)
  set(MONO_SHARED_LIB_NAME "${MONO_LIB_NAME}")
endif()

include(GNUInstallDirs)
include(CheckIncludeFile)
include(CheckFunctionExists)
include(TestBigEndian)
include(CheckCCompilerFlag)

set(CMAKE_MODULE_PATH
  ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake"
  )
set(CMAKE_INSTALL_MESSAGE LAZY)

if(USE_CCACHE)
  find_program(CCACHE_PROGRAM ccache)
  if(CCACHE_PROGRAM)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}")
  endif()
endif()

function(append value)
  foreach(variable ${ARGN})
    set(${variable} "${${variable}} ${value}" PARENT_SCOPE)
  endforeach(variable)
endfunction()

# User options
include(options)

function(process_enable_minimal)
  string(REPLACE "," ";" tmp1 "${ENABLE_MINIMAL}")
  foreach(arg ${tmp1})
    string(TOUPPER "${arg}" var1)
	if("${DISABLE_${var1}}" STREQUAL "")
	  message(FATAL_ERROR "Unknown DISABLE_ option DISABLE_${var1}.")
	endif()
    set(DISABLE_${var1} 1 PARENT_SCOPE)
  endforeach(arg)
endfunction()

if(ENABLE_MINIMAL)
  process_enable_minimal()
endif()

# Dependencies between options
if(ENABLE_INTERP_LIB)
  set(DISABLE_INTERPRETER 1)
endif()
if(NOT DISABLE_EVENTPIPE)
  set(ENABLE_PERFTRACING 1)
endif()
if(ENABLE_LAZY_GC_THREAD_CREATION)
  set(LAZY_GC_THREAD_CREATION 1)
endif()

if((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") OR(CMAKE_CXX_COMPILER_ID STREQUAL "Clang") OR(CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang"))
  set(GCC 1)
endif()

add_definitions(-DHAVE_CONFIG_H)

if(GCC)
  add_definitions(-g)  # TODO: should this really be on by default?
  add_definitions(-fPIC)
  add_definitions(-fvisibility=hidden)
  set(USE_GCC_ATOMIC_OPS 1)
endif()

set(HAVE_MOVING_COLLECTOR 1)
set(HAVE_CONC_GC_AS_DEFAULT 1)
set(MONO_INSIDE_RUNTIME 1)

if(CMAKE_C_BYTE_ORDER STREQUAL "BIG_ENDIAN")
  set(TARGET_BYTE_ORDER G_BIG_ENDIAN)
else()
  set(TARGET_BYTE_ORDER G_LITTLE_ENDIAN)
endif()

######################################
# AOT CROSS COMPILER SUPPORT
######################################

if(NOT AOT_TARGET_TRIPLE STREQUAL "")
  set(MONO_CROSS_COMPILE 1)
  if(NOT AOT_OFFSETS_FILE STREQUAL "")
    set(MONO_OFFSETS_FILE "${AOT_OFFSETS_FILE}")
  endif()
  if(AOT_TARGET_TRIPLE STREQUAL "x86_64-apple-darwin10")
    set(TARGET_SYSTEM_NAME "ios")
    set(TARGET_ARCH "x86_64")
  elseif(AOT_TARGET_TRIPLE STREQUAL "aarch64-apple-darwin10")
    set(TARGET_SYSTEM_NAME "ios")
    set(TARGET_ARCH "arm64")
  elseif(AOT_TARGET_TRIPLE STREQUAL "x86_64-apple-maccatalyst")
    set(TARGET_SYSTEM_NAME "darwin")
    set(TARGET_ARCH "x86_64")
    set(TARGET_MACCAT 1)
  elseif(AOT_TARGET_TRIPLE STREQUAL "aarch64-apple-maccatalyst")
    set(TARGET_SYSTEM_NAME "darwin")
    set(TARGET_ARCH "arm64")
    set(TARGET_MACCAT 1)
  elseif(AOT_TARGET_TRIPLE STREQUAL "wasm32-unknown-none")
    set(TARGET_SYSTEM_NAME "emscripten")
    set(TARGET_ARCH "wasm")
  elseif(AOT_TARGET_TRIPLE STREQUAL "wasm32-unknown-wasip2")
    set(TARGET_SYSTEM_NAME "wasi")
    set(TARGET_ARCH "wasm")
  elseif(AOT_TARGET_TRIPLE STREQUAL "x86_64-none-linux-android")
    set(TARGET_SYSTEM_NAME "android")
    set(TARGET_ARCH "x86_64")
  elseif(AOT_TARGET_TRIPLE STREQUAL "i686-none-linux-android")
    set(TARGET_SYSTEM_NAME "android")
    set(TARGET_ARCH "x86")
  elseif(AOT_TARGET_TRIPLE STREQUAL "aarch64-v8a-linux-android")
    set(TARGET_SYSTEM_NAME "android")
    set(TARGET_ARCH "arm64")
  elseif(AOT_TARGET_TRIPLE STREQUAL "armv7-none-linux-androideabi")
    set(TARGET_SYSTEM_NAME "android")
    set(TARGET_ARCH "arm")
  elseif(AOT_TARGET_TRIPLE STREQUAL "aarch64-linux-gnu")
    set(TARGET_SYSTEM_NAME "linux")
    set(TARGET_ARCH "arm64")
  elseif(AOT_TARGET_TRIPLE STREQUAL "riscv64-linux-gnu")
    set(TARGET_SYSTEM_NAME "linux")
    set(TARGET_ARCH "riscv64")
  else()
    message(FATAL_ERROR "AOT target '${AOT_TARGET_TRIPLE}' not supported.")
  endif()
endif()

######################################
# HOST OS CHECKS
######################################

message ("CMAKE_SYSTEM_NAME=${CMAKE_SYSTEM_NAME}")
message ("CMAKE_SYSTEM_VARIANT=${CMAKE_SYSTEM_VARIANT}")

set(CLR_CMAKE_HOST_OS ${CMAKE_SYSTEM_NAME})
string(TOLOWER ${CLR_CMAKE_HOST_OS} CLR_CMAKE_HOST_OS)

# TODO: check if we can enable this on more platforms
# set(MONO_KEYWORD_THREAD "__thread")

if(CLR_CMAKE_HOST_OS STREQUAL "darwin")
  add_definitions(-D_THREAD_SAFE)
  set(HOST_DARWIN 1)
  set(HOST_OSX 1)
  set(PTHREAD_POINTER_ID 1)
  set(USE_MACH_SEMA 1)
  if(CMAKE_SYSTEM_VARIANT STREQUAL "maccatalyst")
    set(HOST_MACCAT 1)
  endif()
elseif(CLR_CMAKE_HOST_OS STREQUAL "ios" OR CLR_CMAKE_HOST_OS STREQUAL "tvos")
  # See man cmake-toolchains(7) on which variables
  # control cross-compiling to ios
  add_definitions(-D_THREAD_SAFE)
  set(HOST_DARWIN 1)
  if(CLR_CMAKE_HOST_OS STREQUAL "ios")
    set(HOST_IOS 1)
  elseif(CLR_CMAKE_HOST_OS STREQUAL "tvos")
    set(HOST_TVOS 1)
  endif()
  set(PTHREAD_POINTER_ID 1)
  set(USE_MACH_SEMA 1)
  set(DISABLE_EXECUTABLES 1)
  set(TARGET_APPLE_MOBILE 1)
  add_definitions("-DSMALL_CONFIG")
  add_definitions("-D_XOPEN_SOURCE")
  add_definitions("-DHAVE_LARGE_FILE_SUPPORT=1")
elseif(CLR_CMAKE_HOST_OS STREQUAL "linux")
  set(HOST_LINUX 1)
  add_definitions(-D_GNU_SOURCE -D_REENTRANT)
  add_definitions(-D_THREAD_SAFE)
  set(HAVE_CGROUP_SUPPORT 1)
  # Enable the "full RELRO" options (RELRO & BIND_NOW) at link time
  add_link_options(-Wl,-z,relro)
  add_link_options(-Wl,-z,now)
elseif(CLR_CMAKE_HOST_OS STREQUAL "android")
  set(HOST_LINUX 1)
  add_definitions(-D_GNU_SOURCE -D_REENTRANT)
  add_definitions(-D_THREAD_SAFE)
  add_compile_options(-Wl,-z,now)
  add_compile_options(-Wl,-z,relro)
  add_compile_options(-Wl,-z,noexecstack)
  # The normal check fails because it uses --isystem <ndk root>/sysroot/usr/include
  set(HAVE_USR_INCLUDE_MALLOC_H 1)
  set(HOST_ANDROID 1)
  set(DISABLE_EXECUTABLES 1)
  # Force some defines
  set(HAVE_SCHED_GETAFFINITY 0)
  set(HAVE_SCHED_SETAFFINITY 0)
  # FIXME: Rest of the flags from configure.ac
elseif(CLR_CMAKE_HOST_OS STREQUAL "emscripten")
  set(HOST_BROWSER 1)
  add_definitions(-D_THREAD_SAFE)
  add_compile_options(-Wno-strict-prototypes)
  add_compile_options(-Wno-unused-but-set-variable)
  add_compile_options(-Wno-single-bit-bitfield-constant-conversion)
  set(DISABLE_EXECUTABLES 1)
  # FIXME: Is there a cmake option for this ?
  set(DISABLE_SHARED_LIBS 1)
  # sys/random.h exists, but its not found
  set(HAVE_SYS_RANDOM_H 1)
elseif(CLR_CMAKE_HOST_OS STREQUAL "wasi")
  set(HOST_WASI 1)
  add_definitions(-D_WASI_EMULATED_PROCESS_CLOCKS -D_WASI_EMULATED_SIGNAL -D_WASI_EMULATED_MMAN -D_WASI_EMULATED_PTHREAD -DHOST_WASI)
  add_definitions(-D_THREAD_SAFE)
  add_definitions(-DDISABLE_EGD_SOCKET)
  add_definitions(-DDISABLE_EVENTPIPE)
  add_compile_options(-Wno-strict-prototypes)
  add_compile_options(-Wno-unused-but-set-variable)
  set(ENABLE_PERFTRACING 0)
  set(DISABLE_SHARED_LIBS 1)
  set(DISABLE_EXECUTABLES 1)
  set(STATIC_COMPONENTS 1)
elseif(CLR_CMAKE_HOST_OS STREQUAL "windows")
  set(HOST_WIN32 1)
  set(EXE_SUFFIX ".exe")
  set(HOST_NO_SYMLINKS 1)
  set(MONO_KEYWORD_THREAD "__declspec (thread)")
  set(MONO_ZERO_LEN_ARRAY 1)
  set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>") # statically link VC runtime library
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/W4>)      # set warning level 4
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/WX>)      # treat warnings as errors
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/wd4324>)  # 'struct_name' : structure was padded due to __declspec(align())
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/EHsc>)    # set exception handling behavior
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/FC>)      # use full pathnames in diagnostics
  add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/guard:cf>) # Enable control flow guard
  add_link_options(/STACK:0x800000)  # set stack size to 8MB (default is 1MB)
  add_link_options(/guard:cf)
  if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/Oi>) # enable intrinsics
    add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/GF>) # enable string pooling
    add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/GL>) # whole program optimization
    add_compile_options($<$<COMPILE_LANGUAGE:C,CXX>:/Zi>) # enable debugging information
    add_link_options(/LTCG)    # link-time code generation
    add_link_options(/DEBUG)   # enable debugging information
    add_link_options(/DEBUGTYPE:CV,FIXUP)   # enable fixup debug information
    add_link_options(/OPT:REF) # optimize: remove unreferenced functions & data
    add_link_options(/OPT:ICF) # optimize: enable COMDAT folding
    # the combination of /Zi compiler flag and /DEBUG /OPT:REF /OPT:ICF
    # linker flags is needed to create .pdb output on release builds
  endif()
elseif(CLR_CMAKE_HOST_OS STREQUAL "sunos")
  set(HOST_SOLARIS 1)
  add_definitions(-DGC_SOLARIS_THREADS -DGC_SOLARIS_PTHREADS -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -DUSE_MMAP -DUSE_MUNMAP -DHOST_SOLARIS -D__EXTENSIONS__ -D_XPG4_2)
elseif(CLR_CMAKE_HOST_OS STREQUAL "freebsd")
  set(HOST_FREEBSD 1)
elseif(CLR_CMAKE_HOST_OS STREQUAL "haiku")
  set(HOST_HAIKU 1)
  add_definitions(-D_GNU_SOURCE -D_BSD_SOURCE -D_REENTRANT)
  add_definitions(-D_THREAD_SAFE)
else()
  message(FATAL_ERROR "Host '${CLR_CMAKE_HOST_OS}' not supported.")
endif()

######################################
# TARGET OS CHECKS
######################################

if(NOT TARGET_SYSTEM_NAME)
  set(TARGET_SYSTEM_NAME "${CLR_CMAKE_HOST_OS}")
endif()

if(TARGET_SYSTEM_NAME STREQUAL "darwin")
  set(TARGET_UNIX 1)
  set(TARGET_MACH 1)
  set(TARGET_OSX 1)
  set(TARGET_DARWIN 1)
  if(CMAKE_SYSTEM_VARIANT STREQUAL "maccatalyst")
    set(TARGET_MACCAT 1)
  endif()
elseif(TARGET_SYSTEM_NAME STREQUAL "ios" OR TARGET_SYSTEM_NAME STREQUAL "tvos")
  set(TARGET_UNIX 1)
  set(TARGET_MACH 1)
  set(TARGET_DARWIN 1)
  set(TARGET_APPLE_MOBILE 1)
  if(TARGET_SYSTEM_NAME STREQUAL "ios")
    set(TARGET_IOS 1)
  elseif(TARGET_SYSTEM_NAME STREQUAL "tvos")
    set(TARGET_TVOS 1)
  endif()
elseif(TARGET_SYSTEM_NAME STREQUAL "android")
  set(TARGET_UNIX 1)
  set(TARGET_LINUX_BIONIC 1)
  set(TARGET_ANDROID 1)
  if (CMAKE_BUILD_TYPE STREQUAL "Release")
    add_compile_options(-O2)
  endif()
elseif(CLR_CMAKE_TARGET_LINUX_MUSL)
  set(TARGET_UNIX 1)
  set(TARGET_LINUX 1)
  set(TARGET_LINUX_MUSL 1)
elseif(TARGET_SYSTEM_NAME STREQUAL "linux")
  set(TARGET_UNIX 1)
  set(TARGET_LINUX 1)
elseif(TARGET_SYSTEM_NAME STREQUAL "emscripten")
  set(TARGET_BROWSER 1)
  if (CMAKE_BUILD_TYPE STREQUAL "Release")
    add_compile_options(-Os)
  endif()

## dotnet10 10.0.101-10.0.1

=== debian/changelog ===
dotnet10 (10.0.101-10.0.1-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2134505)
  * d/p/0007-fix-tempdir-on-exit-trap.patch: dropped patch included upstream.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 09 Dec 2025 18:28:55 -0300

dotnet10 (10.0.100-10.0.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Dec 2025 22:49:47 +0100

dotnet10 (10.0.100-10.0.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2130891)
  * d/{sdk-check-config.json,rules}: `dotnet sdk check` tool points to
    Canonical's release database.
  * d/rules: add `--branding rtm` to DOTNET_BUILD_ARGS.
  * d/p/0007-fix-tempdir-on-exit-trap.patch: fix unbound variable error.
  * d/control: pin LLVM 20 to avoid FTBFS on LLVM 21.
  * d/dotnet-host-10.0.links: fixed dnx link name to /usr/bin/dnx (DNX_BIN).
  * d/eng/test-runner/*/obj: removed unwanted build artifact directory from
    source package.
  * d/t/regular-tests: synced with upstream to fix failing tests and add new
    ones for .NET 10.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 07 Nov 2025 16:11:30 +0100

dotnet10 (10.0.100-10.0.0~rc2-0ubuntu1) resolute; urgency=medium

  [ Dominik Viererbe ]
  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2025-55247: A vulnerability exists in .NET Core where predictable
      paths for MSBuild's temporary directories on Linux let another user
      create the directories ahead of MSBuild, leading to DoS of builds.
  * SECURITY UPDATE: validation bypass
    - CVE-2025-55315: Inconsistent interpretation of http requests
      ('http request/response smuggling') in ASP.NET Core allows an authorized
      attacker to bypass a security feature over a network.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 16 Oct 2025 09:48:01 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: bash-completion,
-               clang,
+               clang-20,
                cmake,
                debhelper-compat (= 13),
                dh-exec,
@@ -16,8 +16,8 @@
                libbrotli-dev,
                libssl-dev,
                libunwind-dev,
-               lld,
-               llvm,
+               lld-20,
+               llvm-20,
                locales-all,
                python3,
                rapidjson-dev,

=== debian/rules ===
--- 
+++ 
@@ -154,7 +154,7 @@
 
 ifeq ($(DOTNET_CONTAINS_BOOTSTRAPPING_SDK), false)
 	mkdir --parents "$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)"
-
+	
 	DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL=($$(find "$(DOTNET_ROOT_DIR)/source-built-artifacts" -maxdepth 1 -name 'Private.SourceBuilt.Artifacts.$(DOTNET_MAJOR).$(DOTNET_MINOR).*.tar.gz')); \
 	if [ "$${#DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}" -ne 1 ]; then \
 		echo "None or more than one source built artifacts tarballs have been found: $${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}"; \
@@ -164,7 +164,7 @@
 	ln --symbolic \
 		"$${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL}" \
 		"$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)/"
-
+	
 	cp --recursive --dereference --preserve=mode,ownership,timestamps \
 	    "$(DOTNET_ROOT_DIR)" \
 	    "$(DOTNET_PREVIOUS_BUILT_DIR)"
@@ -176,7 +176,7 @@
 	/p:LogVerbosity=n \
 	/p:MinimalConsoleLogOutput=false \
 	/p:ContinueOnPrebuiltBaselineError=true
-
+	
 	tree
 
 override_dh_auto_test:
@@ -191,11 +191,11 @@
 		           --type sdk \
 				   --base-path "$(DOTNET_RELEASE_ARTIFACTS_DIR)")" \
 	    --directory "$(DEST_DIR)$(DOTNET_ROOT_DIR)"
-
+	
 ifeq ($(DOTNET_80_OR_GREATER), true)
 # 	Clean up unwanted PDB files in sdk tar.gz
 	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name '*.pdb' -exec rm {} \;
-
+	
 # 	Extract debug symbols to their own directory for easy handling
 	mkdir --parents "$(CURDIR)/artifacts/debug-symbols"
 	tar --extract \
@@ -203,5 +203,5 @@
 	    --directory "$(CURDIR)/artifacts/debug-symbols"
 	ls "$(CURDIR)/artifacts/debug-symbols"
 endif
-
+	
 #   See https://github.com/dotnet/source-build/issues/2579

## dotnet10 10.0.102-10.0.2

=== debian/changelog ===
dotnet10 (10.0.102-10.0.2-0ubuntu1~25.10.1) questing; urgency=medium

  * New upstream release (LP: #2138378)
  * d/p/0007-fix-identitymodel-version.patch: dropped patch included upstream.
  * d/copyright: fix missing newline between entries.
  * d/rules: remove temporary --branding parameter in build script call.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 26 Jan 2026 10:27:55 -0300

dotnet10 (10.0.101-10.0.1-0ubuntu1~25.10.2) questing; urgency=medium

  * Resolve package build failures (LP: #2134505):
    - d/p/0007-fix-identitymodel-version.patch: fix FTBFS caused by date-based
      version string calculation in the Microsoft.IdentityModel.Abstractions
      package.
    - d/t/regular-tests/cgroup-limit/test.sh: fix autopkgtest regression in
      Ubuntu releases with rust-coreutils by comparing the cgroup filesystem ID
      instead of friendly name.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 16 Jan 2026 11:17:22 -0300

dotnet10 (10.0.101-10.0.1-0ubuntu1~25.10.1) questing; urgency=medium

  * New upstream release. (LP: #2134505)
  * d/p/0007-fix-tempdir-on-exit-trap.patch: dropped patch included upstream.
  * Clean up source tree and sync tests with upstream.
    - d/t/regular-tests: synced with upstream.
      + Removed release-version-sane test following upstream.
      + Removed unnecessary files from source tree.
      + Normalized newline characters to Unix.
    - d/t/run-regular-tests: fixed test username typo.
    - d/rules: cleaned up trailing spaces.
    - d/eng/test-runner: removed unnecessary files from source tree.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 09 Dec 2025 18:28:55 -0300

dotnet10 (10.0.100-10.0.0-0ubuntu1~25.10.1) questing; urgency=medium

  * New upstream release (LP: #2130891)
  * d/{sdk-check-config.json,rules}: `dotnet sdk check` tool points to
    Canonical's release database.
  * d/rules: add `--branding rtm` to DOTNET_BUILD_ARGS.
  * d/p/0007-fix-tempdir-on-exit-trap.patch: fix unbound variable error.
  * d/dotnet-host-10.0.links: fixed dnx link name to /usr/bin/dnx (DNX_BIN).
  * d/eng/test-runner/*/obj: removed unwanted build artifact directory from
    source package.
  * d/t/regular-tests: synced with upstream to fix failing tests and add new
    ones for .NET 10.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 07 Nov 2025 16:11:30 +0100

## dotnet10 10.0.103-10.0.3

=== debian/changelog ===
dotnet10 (10.0.103-10.0.3-0ubuntu1~25.10.1) questing; urgency=medium

  * New upstream release
  * SECURITY UPDATE: security feature bypass
    - CVE-2026-21218: An attacker could exploit this vulnerability in
      System.Security.Cryptography.Cose by crafting a malicious payload that
      bypasses the security checks in the affected .NET versions, potentially
      leading to unauthorized access or data manipulation.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 02 Feb 2026 17:30:30 -0300
